Reverse agency bill promises

You can reverse a promise in order to prevent it from being paid. When a promise is reversed, it means that you do not expect to collect payment for it. Thus, the promise and all its child objects, including agency cycle promises, agency promise items, and agency suspense promise items, are all marked as reversed.

A promise must be in an active state in order to be reversed. This means that:

  • It cannot be in a saved state.
  • It cannot have been paid.

Use the following endpoint to reverse agency bill promises:

  • POST /billing/v1/producers/{producerId}/ab-promised-monies/{abPromisedMoneyId}/reverse

The only required field in the request body is reversalReason.

{
    "data": {
        "attributes": {
            "reversalReason": {
                "code": "moved"
            }
        }
    }
}

A 200 response is returned if the request is successful. The reversed promise is returned, with values populated for the reversalDate and reversalReason fields.

{
    "data": {
        "attributes": {
            "amount": {
                "amount": "50.00",
                "currency": "usd"
            },
            "appliedDate": "2026-03-18T23:59:11.020Z",
            "currency": {
                "code": "usd",
                "name": "USD"
            },
            "id": "bc:SSGVG8EXMehav3LlYEqiS",
            "modified": false,
            "name": "promisedemo",
            "receivedDate": "2026-03-18T00:00:00.000Z",
            "reversalDate": "2026-03-20T23:44:30.426Z",
            "reversalReason": {
                "code": "moved",
                "name": "Payment Moved"
            },
            "saved": false,
            "subtype": "PromisedMoney"
        }
    }
}